Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 133209 - unable to create executables when emerging sandbox-1.2.17
Summary: unable to create executables when emerging sandbox-1.2.17
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Toolchain Maintainers
URL:
Whiteboard:
Keywords:
: 133841 149162 166442 181705 183468 197140 (view as bug list)
Depends on:
Blocks:
 
Reported: 2006-05-13 07:55 UTC by mark lybarger
Modified: 2009-01-18 17:19 UTC (History)
14 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
requested file. (config.log,7.60 KB, text/plain)
2006-05-14 04:55 UTC, mark lybarger
Details
log file (config.log,7.60 KB, text/plain)
2006-05-14 11:53 UTC, mark lybarger
Details
sandbox build log (config.log,6.58 KB, text/plain)
2006-05-17 08:54 UTC, Tony Clark
Details
Requested config.log file (sandbox-config.log,6.53 KB, text/x-log)
2006-09-09 17:24 UTC, Mark Knecht
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mark lybarger 2006-05-13 07:55:21 UTC
i try to emerge sandbox and it tells me that it's unable to create executables.  i  have run revdep-rebuild, re-emerged gcc, binutils, but no success.  the sandbox package is needed when i run emerge -uD world.  this is an opteron machine that was setup months ago to be used as a distcc host (help our laptops build their packages faster).  here's some output:

expresso mark # emerge sandbox
Calculating dependencies ...done!
>>> emerge (1 of 1) sys-apps/sandbox-1.2.17 to /
>>> md5 files   ;-) sandbox-1.2.17.ebuild
>>> md5 files   ;-) sandbox-1.2.18.ebuild
>>> md5 files   ;-) sandbox-1.2.12.ebuild
>>> md5 files   ;-) sandbox-1.2.16.ebuild
>>> md5 files   ;-) files/digest-sandbox-1.2.17
>>> md5 files   ;-) files/digest-sandbox-1.2.18
>>> md5 files   ;-) files/digest-sandbox-1.2.12
>>> md5 files   ;-) files/digest-sandbox-1.2.16
>>> md5 src_uri ;-) sandbox-1.2.17.tar.bz2
>>> Unpacking source...
>>> Unpacking sandbox-1.2.17.tar.bz2 to /var/tmp/portage/sandbox-1.2.17/work
>>> Source unpacked.
 * If configure fails with a 'cannot run C compiled programs' error, try this:
 * FEATURES=-sandbox emerge sandbox
 * Configuring sandbox for ABI=x86...
 * econf: updating sandbox-1.2.17/config.guess with /usr/share/gnuconfig/config.guess
 * econf: updating sandbox-1.2.17/config.sub with /usr/share/gnuconfig/config.sub
../sandbox-1.2.17//configure --prefix=/usr --host=i686-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/sha
re/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --libdir=/usr/lib32 --enable-multilib
--build=i686-pc-linux-gnu
checking for a BSD-compatible install... /bin/install -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for i686-pc-linux-gnu-gcc... i686-pc-linux-gnu-gcc
checking for C compiler default output file name... configure: error: C compiler cannot create executables
See `config.log' for more details.

!!! Please attach the config.log to your bug report:
!!! /var/tmp/portage/sandbox-1.2.17/work/build-x86-x86_64-pc-linux-gnu/config.log

!!! ERROR: sys-apps/sandbox-1.2.17 failed.
!!! Function econf, Line 495, Exitcode 0
!!! econf failed
!!! If you need support, post the topmost build error, NOT this status message.

expresso mark # emerge --info
Portage 2.0.54 (default-linux/amd64/2005.0, gcc-3.4.5, glibc-2.3.6-r3, 2.6.15-gentoo-r7 x86_64)
=================================================================
System uname: 2.6.15-gentoo-r7 x86_64 AMD Opteron(tm) Processor 242
Gentoo Base System version 1.6.14
distcc 2.18.3 x86_64-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
dev-lang/python:     2.3.5-r2, 2.4.2
dev-python/pycrypto: [Not Present]
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    [Not Present]
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=k8 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown            /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr           /lib64/mozilla/defaults/pref /usr/share/config /var/qmail/alias /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/eselect/compiler /etc/gconf /etc/splash /etc/terminfo /etc/udev /etc/env.d"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs autoconfig ccache distlocks sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
MAKEOPTS="-j6"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="amd64 X alsa audiofile avi berkdb bitmap-fonts bzip2 cdb cdr cli crypt cups curl directfb dri dvd eds emb           oss encode esd ethereal exif expat fam fbcon ffmpeg foomaticdb fortran gdbm gif glut gmp gnome gphoto2 gpm gst           reamer gtk gtk2 idn imagemagick imap imlib ipv6 isdnlog java javascript jpeg junit kde lcms libwww logmail log           rotate lzw lzw-tiff mad mailbox maildir mailwrapper mhash mng motif mozilla mp3 mpeg ncurses nls ogg opengl pa           m pcre pdflib perl pic png postgres pppd python qt quicktime readline reflection samba sdl session spell spl s           sl tcltk tcpd tiff truetype truetype-fonts type1-fonts udev usb vorbis xine xml2 xmms xorg xpm xv yahoo zlib u           serland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, LINGUAS, PORTAGE_RSYNC_EXTRA_OPTS, PORTAGE_RSYN           C_OPTS
Comment 1 Jakub Moc (RETIRED) gentoo-dev 2006-05-13 08:00:49 UTC
(In reply to comment #0)
> !!! Please attach the config.log to your bug report:
> !!!
> /var/tmp/portage/sandbox-1.2.17/work/build-x86-x86_64-pc-linux-gnu/config.log

Reopen once you've attached it (don't paste it) here. Thanks.
Comment 2 mark lybarger 2006-05-14 04:55:01 UTC
Created attachment 86745 [details]
requested file.

here's the file you requested.
Comment 3 mark lybarger 2006-05-14 04:55:44 UTC
i've attached the requested file.
Comment 4 Jakub Moc (RETIRED) gentoo-dev 2006-05-14 04:58:37 UTC
Run 'binutils-config 1' and try again...
Comment 5 mark lybarger 2006-05-14 11:50:39 UTC
here's the output, i'll attache the log as well.

expresso mark # binutils-config 1
 * Switching to i686-pc-linux-gnu-2.16.1 ...                                                                       [ ok ]
expresso mark # emerge sandbox
Calculating dependencies ...done!
>>> emerge (1 of 1) sys-apps/sandbox-1.2.17 to /
>>> md5 files   ;-) sandbox-1.2.17.ebuild
>>> md5 files   ;-) sandbox-1.2.18.ebuild
>>> md5 files   ;-) sandbox-1.2.12.ebuild
>>> md5 files   ;-) sandbox-1.2.16.ebuild
>>> md5 files   ;-) files/digest-sandbox-1.2.17
>>> md5 files   ;-) files/digest-sandbox-1.2.18
>>> md5 files   ;-) files/digest-sandbox-1.2.12
>>> md5 files   ;-) files/digest-sandbox-1.2.16
>>> md5 src_uri ;-) sandbox-1.2.17.tar.bz2
>>> Unpacking source...
>>> Unpacking sandbox-1.2.17.tar.bz2 to /var/tmp/portage/sandbox-1.2.17/work
>>> Source unpacked.
 * If configure fails with a 'cannot run C compiled programs' error, try this:
 * FEATURES=-sandbox emerge sandbox
 * Configuring sandbox for ABI=x86...
 * econf: updating sandbox-1.2.17/config.guess with /usr/share/gnuconfig/config.guess
 * econf: updating sandbox-1.2.17/config.sub with /usr/share/gnuconfig/config.sub
../sandbox-1.2.17//configure --prefix=/usr --host=i686-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --libdir=/usr/lib32 --enable-multilib --build=i686-pc-linux-gnu
checking for a BSD-compatible install... /bin/install -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for i686-pc-linux-gnu-gcc... i686-pc-linux-gnu-gcc
checking for C compiler default output file name... configure: error: C compiler cannot create executables
See `config.log' for more details.

!!! Please attach the config.log to your bug report:
!!! /var/tmp/portage/sandbox-1.2.17/work/build-x86-x86_64-pc-linux-gnu/config.log

!!! ERROR: sys-apps/sandbox-1.2.17 failed.
!!! Function econf, Line 495, Exitcode 0
!!! econf failed
!!! If you need support, post the topmost build error, NOT this status message.
Comment 6 mark lybarger 2006-05-14 11:53:31 UTC
Created attachment 86766 [details]
log file

here's the log file.  why does binutils-config 1 switch me to i686-pc-linux-gnu-2.16.1?  this is a k8 machine
Comment 7 Tony Clark 2006-05-17 08:54:04 UTC
Created attachment 86931 [details]
sandbox build log

I've been hit with the same problem.  Ran binutils-config 1 and gcc-config -f x86_64-pc-linux-gnu-3.4.6 but no sucess.

power tony # FEATURES=-sandbox emerge sandbox
Calculating dependencies... done!
>>> Emerging (1 of 1) sys-apps/sandbox-1.2.17 to /
>>> checking ebuild checksums ;-)
>>> checking auxfile checksums ;-)
>>> checking miscfile checksums ;-)
>>> checking sandbox-1.2.17.tar.bz2 ;-)
>>> Unpacking source...
>>> Unpacking sandbox-1.2.17.tar.bz2 to /pub3/tmp/portage/portage/sandbox-1.2.17/work
>>> Source unpacked.
>>> Compiling source in /pub3/tmp/portage/portage/sandbox-1.2.17/work/sandbox-1.2.17 ...
 * If configure fails with a 'cannot run C compiled programs' error, try this:
 * FEATURES=-sandbox emerge sandbox
 * Configuring sandbox for ABI=x86...
 * econf: updating sandbox-1.2.17/config.guess with /usr/share/gnuconfig/config.guess
 * econf: updating sandbox-1.2.17/config.sub with /usr/share/gnuconfig/config.sub
../sandbox-1.2.17//configure --prefix=/usr --host=i686-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --libdir=/usr/lib32 --enable-multilib --build=i686-pc-linux-gnu
checking for a BSD-compatible install... /bin/install -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for i686-pc-linux-gnu-gcc... i686-pc-linux-gnu-gcc
checking for C compiler default output file name... configure: error: C compiler cannot create executables
See `config.log' for more details.

!!! Please attach the following file when filing a report to bugs.gentoo.org:
!!! /pub3/tmp/portage/portage/sandbox-1.2.17/work/build-x86-x86_64-pc-linux-gnu/config.log

!!! ERROR: sys-apps/sandbox-1.2.17 failed.
Call stack:
  ebuild.sh, line 1527:   Called dyn_compile
  ebuild.sh, line 931:   Called src_compile
  sandbox-1.2.17.ebuild, line 84:   Called econf '--libdir=/usr/lib32' '--enable-multilib'
  ebuild.sh, line 533:   Called die

!!! econf failed
!!! If you need support, post the topmost build error, and the call stack if relevant.
Comment 8 Mike Doty (RETIRED) gentoo-dev 2006-05-17 09:17:38 UTC
(In reply to comment #7)
> Created an attachment (id=86931) [edit]
> sandbox build log
> 
> I've been hit with the same problem.  Ran binutils-config 1 and gcc-config -f
> x86_64-pc-linux-gnu-3.4.6 but no sucess.
> 
> power tony # FEATURES=-sandbox emerge sandbox
> Calculating dependencies... done!
> >>> Emerging (1 of 1) sys-apps/sandbox-1.2.17 to /
> >>> checking ebuild checksums ;-)
> >>> checking auxfile checksums ;-)
> >>> checking miscfile checksums ;-)
> >>> checking sandbox-1.2.17.tar.bz2 ;-)
> >>> Unpacking source...
> >>> Unpacking sandbox-1.2.17.tar.bz2 to /pub3/tmp/portage/portage/sandbox-1.2.17/work
> >>> Source unpacked.
> >>> Compiling source in /pub3/tmp/portage/portage/sandbox-1.2.17/work/sandbox-1.2.17 ...
>  * If configure fails with a 'cannot run C compiled programs' error, try this:
>  * FEATURES=-sandbox emerge sandbox
^^^^^^^^^^^^^^ did you try what the ebuild suggested?
Comment 9 Tony Clark 2006-05-17 09:27:10 UTC
yep
power tony # FEATURES=-sandbox emerge sandbox
Comment 10 Simon Stelling (RETIRED) gentoo-dev 2006-05-17 09:31:08 UTC
config.log says:

configure:2292: i686-pc-linux-gnu-gcc -march=k8 -O2 -pipe   conftest.c  >&5
/usr/lib/gcc/i686-pc-linux-gnu/3.4.5/../../../../i686-pc-linux-gnu/bin/ld: cannot find /usr/i686-pc-linux-gnu/lib/libc.so.6 inside /usr/i686-pc-linux-gnu/binutils-bin/2.16.1/../../../i686-pc-linux-gnu
collect2: ld returned 1 exit status

so it's not sandbox-related. i'm rather wondering why it is looking for libc.so.6 in there instead of just /usr/lib32.
Comment 11 Tony Clark 2006-05-17 12:41:54 UTC
here is some more info from emerge

Portage 2.1_rc1-r2 (default-linux/amd64/2006.0, gcc-3.4.6, glibc-2.3.6-r3, 2.6.16-gentoo-r7 x86_64)
=================================================================
System uname: 2.6.16-gentoo-r7 x86_64 AMD Athlon(tm) 64 X2 Dual Core Processor 3800+
Gentoo Base System version 1.6.14
distcc 2.18.3 x86_64-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
ccache version 2.3 [enabled]
dev-lang/python:     2.3.5-r2, 2.4.2
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     2.3
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.12
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1-r2
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=k8 -O2 -fomit-frame-pointer -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/kde/3/share/config /usr/lib64/mozilla/defaults/pref /usr/share/X11/xkb /usr/share/config /usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/ /var/bind /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/eselect/compiler /etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-march=k8 -O2 -fomit-frame-pointer -pipe"
DISTDIR="/pub/portage/distfiles"
FEATURES="autoconfig buildpkg ccache distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://ds.thn.htu.se/linux/gentoo http://mirror.pudas.net/gentoo"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/pub3/tmp/portage"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/pub/portage_local"
SYNC="rsync://media/gentoo-portage"
USE="amd64 X a52 aac aalib accessibility acpi aio alsa amarok amd amr ansi ao asf async audiofile automount bash-completion berkdb bigger-fonts bitmap-fonts bluetooth bzip2 bzlib caps ccache cdda cddb cdio cdparanoia cdr cdrom cg chroot codecs cpudetection cracklib crypt cscope css ctype cups curl dbm dbus dio dlloader dlopen dmx dnd dpms dri dv dvd dvdr dvdread emacs encode erandom ethereal expat f2c faad fam fame fb fbcon fbdev ffmpeg fftw flac foomaticdb fortran freetype gcj gdbm gif gimp gimpprint gkrellm glibc-compat20 glibc-omitfp glut glx gnokii gnutls gpgme gphoto2 gpm gs gsl gstreamer gtk gtk2 h323 hal icq id3 idea imagemagick imlib insecure-drivers irda irmc jack java javascript jp2 jpeg kcal kde kdeenablefinal kdepim kig-scripting lame libg++ libsamplerate libvisual libwww live lm_sensors logitech-mouse logrotate lzo lzw mad madwifi maildir math matroska mikmod mime mixer mjpeg mmap mng motif mozilla moznocompose moznoirc moznomail mp3 mp4live mpeg mpeg2 mpeg4 mplayer multi-tty mysql nas ncurses network nforce2 nls no-old-linux no_wxgtk1 nodrm noreiserfs nptl nsplugin nspr nvidia objc offensive ogg oggvorbis openal openexr opengl openssh pam pcre perl pic png posix ppds python qt quicktime rar readline recode rtc samba scanner sdl slang slp smp sndfile snmp soundtouch sox speedo speex spell sse-filters ssl stream subversion suid svg sysfs tcltk tcpd tetex theora tiff transcode truetype truetype-fonts type1 type1-fonts udev unicode usb usepackagedmakefiles userlocales utf8 v4l v4l2 vcd vcdimager vim visualization vlm vorbis wifi wma wmf wxwindows xanim xfs xine xinerama xinetd xml xml2 xosd xrandr xv xvid xvmc yahoo yv12 zeroconf zlib zvbi elibc_glibc input_devices_keyboard input_devices_mouse input_devices_evdev kernel_linux userland_GNU video_cards_nv video_cards_nvidia video_cards_vesa video_cards_vmware video_cards_v4l"
Unset:  ASFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, LINGUAS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 12 mark lybarger 2006-05-18 06:15:52 UTC
Is there a proposed fix?

Why is this not sandbox related?  sandbox is the only application that I have had trouble emerging, but it's required for me to emerge -uD world.

I've emerged gcc, glibc and other packages that just compile binaries, and they run fine.  sandbox seems to be the only one that has this trouble thus far, and it's only on my amd64 box that.  

> 
> so it's not sandbox-related. i'm rather wondering why it is looking for
> libc.so.6 in there instead of just /usr/lib32.
> 
Comment 13 mark lybarger 2006-05-18 15:40:00 UTC
my fix was to unmerge everthing in cross-i686-pc-linux-gnu, that seemed to work. the glibc in there was the one owning the libc.so.6 that the emerge failed on, i tried to update that, but it had troubles building, so i removed it.

Comment 14 Alex Miller 2006-05-20 14:37:12 UTC
I too, encountered this problem.

I can confirm removing the i686 target with crossdev -C provided a workaround to this issue.
Comment 15 Philip Spitzlinger 2006-05-23 04:31:34 UTC
(In reply to comment #14)
> I too, encountered this problem.
> 
> I can confirm removing the i686 target with crossdev -C provided a workaround
> to this issue.
> 

But isn't this a quite bad solution to this problem!
Wouldn't it be better so search for the core problem?

I found out that the configure scripts don't even recognize the k8 machine-type as specified in my make.conf. I tried to add the k8 type to the config.sub and config.guess, but no success.
Could someone more familiar with the config-scripts please check this?
Would be great.
Comment 16 Tony Clark 2006-05-23 08:15:40 UTC
I had removed all the crossdev stuff but in my case at least, a copy of i686-pc-linux-gnu-gcc was left behind in /usr/bin and that is what was getting detected.  Is this a bug?  I would think it is for ppl who want to run crossdev.
Comment 17 mark lybarger 2006-05-23 13:08:38 UTC
(In reply to comment #15)

> 
> But isn't this a quite bad solution to this problem!
> Wouldn't it be better so search for the core problem?
> 

Yes it would.  In my case (and probably most others) the inability to install sandbox (i removed it thinking that would help :( ) prevented almost any other package from being installed.  thus, i needed a work around.  i'm not even sure what sandbox is, and why i need to run configure for it.  

couldn't packages like this have binary distributions?  things like this that are major show stoppers if they don't install properly themselves IMO could be provided as both binary and source distributions.  
Comment 18 Simon Stelling (RETIRED) gentoo-dev 2006-06-23 10:50:57 UTC
maybe the toolchain-people can help here
Comment 19 Simon Stelling (RETIRED) gentoo-dev 2006-06-23 11:20:17 UTC
*** Bug 133841 has been marked as a duplicate of this bug. ***
Comment 20 Alex Unleashed 2006-07-05 07:09:09 UTC
Just wanted to note same problem happens in Gentoo/FreeBSD under AMD64.
Comment 21 Mark Knecht 2006-09-09 17:12:18 UTC
Hello - I have now run across this problem upgrading my AMD64 machine to gcc-4.1.1 following the Gentoo gcc upgrade guide.

Is there a solution to this? Looks like it's been sitting for 3 months?

My main machine is now dead and I cannot figure out how to proceed.

I do not have any cross development stuff on my system so the crossdev -C isn't an option. 

I tried the binutils-config idea but there was only one profile so no changes are made and nothing is improved.

I'm writing this from a Windows machine since my Linux box is now down. I will ssh in from somewhere and get you emerge --info results in a few minutes.
Comment 22 Mark Knecht 2006-09-09 17:22:14 UTC
Here is what I'm seeign right now. emerge --info at the end of this post.

lightning ~ # emerge --resume
*** Resuming merge...
>>> Emerging (1 of 1) sys-apps/sandbox-1.2.17 to /
>>> checking ebuild checksums ;-)
>>> checking auxfile checksums ;-)
>>> checking miscfile checksums ;-)
>>> checking sandbox-1.2.17.tar.bz2 ;-)
>>> Unpacking source...
>>> Unpacking sandbox-1.2.17.tar.bz2 to /var/tmp/portage/sandbox-1.2.17/work
>>> Source unpacked.
>>> Compiling source in /var/tmp/portage/sandbox-1.2.17/work/sandbox-1.2.17 ...
 * If configure fails with a 'cannot run C compiled programs' error, try this:
 * FEATURES=-sandbox emerge sandbox
 * Configuring sandbox for ABI=x86...
 * econf: updating sandbox-1.2.17/config.guess with /usr/share/gnuconfig/config.guess
 * econf: updating sandbox-1.2.17/config.sub with /usr/share/gnuconfig/config.sub
../sandbox-1.2.17//configure --prefix=/usr --host=i686-pc-linux-gnu --mandir=/usr/share/man - -infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --li bdir=/usr/lib32 --enable-multilib --build=i686-pc-linux-gnu
checking for a BSD-compatible install... /bin/install -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for i686-pc-linux-gnu-gcc... i686-pc-linux-gnu-gcc
checking for C compiler default output file name... configure: error: C compiler cannot create executables
See `config.log' for more details.

!!! Please attach the following file when filing a report to bugs.gentoo.org:
!!! /var/tmp/portage/sandbox-1.2.17/work/build-x86-x86_64-pc-linux-gnu/config.log

!!! ERROR: sys-apps/sandbox-1.2.17 failed.
Call stack:
  ebuild.sh, line 1539:   Called dyn_compile
  ebuild.sh, line 939:   Called src_compile
  sandbox-1.2.17.ebuild, line 84:   Called econf '--libdir=/usr/lib32' '--enable-multilib'
  ebuild.sh, line 541:   Called die

!!! econf failed
!!! If you need support, post the topmost build error, and the call stack if relevant.

lightning ~ #


lightning ~ # emerge --info
Portage 2.1-r2 (default-linux/amd64/2005.1, gcc-4.1.1, glibc-2.4-r3, 2.6.17-rt5 x86_64)
=================================================================
System uname: 2.6.17-rt5 x86_64 AMD Athlon(tm) 64 Processor 3000+
Gentoo Base System version 1.12.4
app-admin/eselect-compiler: [Not Present]
dev-lang/python:     2.3.5-r2, 2.4.3-r1
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.13-r3
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=k8 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/lib/X11/xkb /usr/lib64/mozilla/defaults/pref /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/gconf /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-march=k8 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://mirror.tucdemonic.org/gentoo/ ftp://ftp.gtlib.cc.gatech.edu/pub/gentoo http://mirror.gentoo.gr.jp http://www.zentek-international.com/mirrors/gentoo/"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /usr/portage/local/layman/pro-audio /usr/portage/local/layman/pro-audio"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="amd64 X alsa apache2 audiofile avi berkdb bitmap-fonts cdr cjk cli crypt cups dlloader dri dvd dvdr dvdread emboss encode flac fluidsynth foomaticdb fortran gif gimp gimpprint gnome gpm gstreamer gtk gtk2 i8x0 imlib ipv6 isdnlog jack jack-tmpfs java jpeg kde ladspa lzw lzw-tiff mjpeg mp3 mpeg mysql mythtv ncurses nls nptl nptlonly ogg opengl pam pcre pdflib perl png ppds pppd python qt3 qt4 quicktime radeon readline reflection sdl session sndfile spell spl ssl tcltk tcpd tiff truetype truetype-fonts type1-fonts unicode usb v4l v4l2 vorbis xorg xpm xscreensaver xv xvid zlib elibc_glibc input_devices_keyboard input_devices_mouse input_devices_evdev kernel_linux userland_GNU video_cards_radeon"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, LINGUAS, PORTAGE_RSYNC_EXTRA_OPTS

lightning ~ #

Comment 23 Mark Knecht 2006-09-09 17:24:03 UTC
Created attachment 96543 [details]
Requested config.log file
Comment 24 Mark Knecht 2006-09-09 18:30:46 UTC
NOTE: I seemed to have solved this on my system by moving the files

/usr/bin/i686-gcc*

to a different directory. After doing that I was able to emerge sandbox successfully.

I am currently rerunning the emerge -eav system step from the beginnign to see if I can get through the process cleanly now.

Comment 25 Kevin F. Quinn (RETIRED) gentoo-dev 2006-09-10 02:30:51 UTC
Your config.log shows the compiler wrappers are broken.  You must have had eselect-compiler installed for a while, then reverted to gcc-config  Unfortunately when eselect-compiler was masked recently, a clean migration path back to gcc-config was not provided.  The "Unable to determine executable" is something the eselect-compiler wrapper says, but not the gcc-config one, and you don't have eselect-compiler itself installed, according to your emerge --info.

By moving those files you have effectively removed some of the eselect-compiler wrappers.  However there may be more.  To find them all try:

find /usr/bin | xargs strings -f 2> /dev/null | grep "Unable to determine executable" | cut -d : -f 1

then just remove any files listed, and use gcc-config to re-select your preferred compiler to be sure all the gcc-config wrappers are installed correctly.
Comment 26 Mark Knecht 2006-09-11 12:56:51 UTC
Thanks Kevin. Indeed I did at one time have eselect-compiler installed, according to emerge.log. There were 6 other files that showed up using your find command:

lightning usr-bin-backups # !find
find /usr/bin | xargs strings -f 2>/dev/null | grep "Unable to determine executable"|cut -d: -f 1
/usr/bin/gccbug
/usr/bin/gcov
/usr/bin/gfortran
/usr/bin/x86_64-pc-linux-gnu-gccbug
/usr/bin/x86_64-pc-linux-gnu-gcov
/usr/bin/x86_64-pc-linux-gnu-gfortran


I used equery belongs on each and found they didn't belong to anything so I've moved them out of the way for now and rerun gcc-config:

lightning usr-bin-backups # gcc-config -f x86_64-pc-linux-gnu-4.1.1
 * Switching native-compiler to x86_64-pc-linux-gnu-4.1.1 ...
>>> Regenerating /etc/ld.so.cache...                                                        [ ok ]lightning usr-bin-backups #

I'll keep my fingers crossed that this fixes it all. 

Thanks!
Comment 27 Brian Atkinson 2006-09-12 13:58:20 UTC
The following worked for me too:
> find /usr/bin | xargs strings -f 2> /dev/null | grep "Unable to determine
> executable" | cut -d : -f 1
> 
> then just remove any files listed, and use gcc-config to re-select your
> preferred compiler to be sure all the gcc-config wrappers are installed
> correctly.
> 

re-running emerge -ave system to clean up....
Comment 28 Simon Stelling (RETIRED) gentoo-dev 2006-09-26 05:13:50 UTC
*** Bug 149162 has been marked as a duplicate of this bug. ***
Comment 29 Kevin F. Quinn (RETIRED) gentoo-dev 2007-01-10 00:12:04 UTC
I think this is resolved - re-open if not.
Comment 30 Simon Stelling (RETIRED) gentoo-dev 2007-02-12 00:19:29 UTC
*** Bug 166442 has been marked as a duplicate of this bug. ***
Comment 31 Steve Arnold gentoo-dev 2007-02-20 02:13:25 UTC
I'm not sure I would call this fixed exactly either, more like a trap-door spider waiting for its next victim...  It didn't bite me until I upgraded from gcc 4.1.1 to 4.1.2 on amd64.  When I performed the search suggested below by Kevin, I got 30-some files, not all of which were actual eselect compiler remnants (some files belonged to binutils, although equery didn't show it).

Someone else may have actually dorked their system up by removing those files (I actually removed too many as well, but I build packages and know how to put them back).  My emerge -e is proceeding again, however, it sat all day at the sandbox error until I got home and had a chance to resolve it.  Eselect really should have cleaned up after itself...
Comment 32 Kevin F. Quinn (RETIRED) gentoo-dev 2007-02-20 07:20:22 UTC
I don't see how any of the files found could be anything other than eselect-compiler remnants - that string is specific to the eselect-compiler wrapper.  Also you haven't provided any useful information; no emerge --info, no build logs, no config.log, so I can't even verify you're tripping the same issue, let alone work out what the problem might be.
Comment 33 Timo Gurr (RETIRED) gentoo-dev 2007-05-03 12:00:57 UTC
Thanks #25, solved the issue with sandbox-1.2.18.1 for me. No binutils files involved:

host ~ # find /usr/bin | xargs strings -f 2> /dev/null | grep "Unable to determine executable" | cut -d : -f 1
/usr/bin/gccbug
/usr/bin/x86_64-pc-linux-gnu-gcov
/usr/bin/x86_64-pc-linux-gnu-gccbug
/usr/bin/gcov
/usr/bin/protoize
/usr/bin/unprotoize
/usr/bin/i686-pc-linux-gnu-gfortran
/usr/bin/i686-pc-linux-gnu-gccbug
/usr/bin/i686-pc-linux-gnu-gcov
/usr/bin/i686-pc-linux-gnu-protoize
/usr/bin/i686-pc-linux-gnu-unprotoize
/usr/bin/i686-pc-linux-gnu-c++
/usr/bin/i686-pc-linux-gnu-cpp
/usr/bin/i686-pc-linux-gnu-g++
/usr/bin/i686-pc-linux-gnu-gcc
/usr/bin/i686-pc-linux-gnu-cc
/usr/bin/x86_64-pc-linux-gnu-protoize
/usr/bin/x86_64-pc-linux-gnu-unprotoize
Comment 34 Jakub Moc (RETIRED) gentoo-dev 2007-06-12 03:55:28 UTC
*** Bug 181705 has been marked as a duplicate of this bug. ***
Comment 35 Volker Hemmann 2007-06-12 16:44:22 UTC
Hi, 
I hit the bug with 1.2.18.1

two questions:

why has only sandbox this problem? I hit it doing an emerge -e world and from the 1000+ packages (700 compiled so far) sandbox is the only one?

And the second: I did that find - and It gave me a list with 815 items. Stuff like Xorg. Or ccmake. Or cfg-update.

That does not look correct....
Comment 36 Volker Hemmann 2007-06-12 23:42:04 UTC
Hi,

I removed everything starting with 'i686' and sandbox compiled - maybe this could be added to the ewarns?
Comment 37 Jakub Moc (RETIRED) gentoo-dev 2007-06-27 22:13:51 UTC
*** Bug 183468 has been marked as a duplicate of this bug. ***
Comment 38 Peter Read 2007-07-08 14:57:53 UTC
(In reply to comment #35)
Make sure you're running the command as written, the line break in bugzilla is unfortunate...  (I had to look twice after seeing similar output ;) )
Comment 39 Duncan 2007-07-18 19:07:07 UTC
(In reply to comment #35)
> why has only sandbox this problem? I hit it doing an emerge -e world and from
> the 1000+ packages (700 compiled so far) sandbox is the only one?

The bug only trips on (some) 32-bit compiles.  Gentoo/amd64 doesn't do 32-bit compiles  for much unless you do manual compiles (outside portage, which only understands 1 bitness at a time, so 64-bit, here), only gcc, glibc, and sandbox, normally.  gcc and glibc are special cases that have their own special build system, so they don't trip the bug.  That leaves sandbox, which is generic enough to trip it, and gets built twice, once for 32-bit and once for 64-bit, on a Gentoo/amd64 multilib enabled system.

> And the second: I did that find - and It gave me a list with 815 items. Stuff
> like Xorg. Or ccmake. Or cfg-update.
> 
> That does not look correct....

The command as given originally had a problem with quoting, at least as I ran it here, and it would seem as you ran it.  grep was therefore only looking for "executable", instead of the entire string as given, and of course "executable" turned up in many more files than "Unable to determine executable" would have.  

(I caught it because being the cautious type, I decided I wanted to see the full info grep was spitting out, before it was piped to cut.  With the colored output of newer grep, it was immediately obvious it was scoring hits on just the single word, not the intended entire phrase.)

Substituting single quotes for the double quotes worked here, as so:

find | xargs strings -f 2> /dev/null | grep 'Unable to determine executable' | cut -d : -f 1

Again, to see a bit of the larger context, remove the pipe to cut initially.  If it's right, all hits should have the full quote, not just a single word from it.

Duncan
Comment 40 Jakub Moc (RETIRED) gentoo-dev 2007-07-21 06:26:15 UTC
*** Bug 186058 has been marked as a duplicate of this bug. ***
Comment 41 Jakub Moc (RETIRED) gentoo-dev 2007-07-22 15:53:28 UTC
*** Bug 186238 has been marked as a duplicate of this bug. ***
Comment 42 André Terpstra 2007-10-27 14:53:20 UTC
(In reply to comment #36)
> Hi,
> 
> I removed everything starting with 'i686' and sandbox compiled - maybe this
> could be added to the ewarns?
> 

I fully agree to this comment. I only removed the files from /usr/bin that started with "i686..." and suddenly sandbox emerged without complaint.

By the way: this whole thing happens only in the unstable arch, in the stable amd64 arch sandbox compiled the first time. 
Comment 43 Jakub Moc (RETIRED) gentoo-dev 2007-10-27 15:06:24 UTC
*** Bug 197140 has been marked as a duplicate of this bug. ***
Comment 44 Kirk Richard Holz 2007-11-05 08:36:14 UTC
I had lots of trouble with this. I had to crossdev --C i686-pc-linux-gnu

Then I had to look in /usr/bin and delete some more files that started with i686 because if there's ANYTHING i686 in /usr/bin sandbox won't compile even on STABLE amd64.

(By the way, I'm using the stable arch and this still happened to me. As far as I'm concerned it's to do with cross-compiling not the unstable arch.)

Now I'm going to try to get my crossdev working again because it's sorely broken now. :-<
Comment 45 Xavian-Anderson Macpherson 2008-02-13 22:05:21 UTC
(In reply to comment #25)
> Your config.log shows the compiler wrappers are broken.  You must have had
> eselect-compiler installed for a while, then reverted to gcc-config 
> Unfortunately when eselect-compiler was masked recently, a clean migration path
> back to gcc-config was not provided.  The "Unable to determine executable" is
> something the eselect-compiler wrapper says, but not the gcc-config one, and
> you don't have eselect-compiler itself installed, according to your emerge
> --info.
> 
> By moving those files you have effectively removed some of the eselect-compiler
> wrappers.  However there may be more.  To find them all try:
> 
> find /usr/bin | xargs strings -f 2> /dev/null | grep "Unable to determine
> executable" | cut -d : -f 1
> 
> then just remove any files listed, and use gcc-config to re-select your
> preferred compiler to be sure all the gcc-config wrappers are installed
> correctly.
> 

I just ran this command on my system. In fact, I made a script for it. It returned nothing from it's execution. So I have no files conforming to this in my system.
Comment 46 Xavian-Anderson Macpherson 2008-02-13 22:13:07 UTC
(In reply to comment #45)
> (In reply to comment #25)
> > By moving those files you have effectively removed some of the eselect-compiler
> > wrappers.  However there may be more.  To find them all try:
> > 
> > find /usr/bin | xargs strings -f 2> /dev/null | grep "Unable to determine
> > executable" | cut -d : -f 1
> > 
> > then just remove any files listed, and use gcc-config to re-select your
> > preferred compiler to be sure all the gcc-config wrappers are installed
> > correctly.
> > 
> 
> I just ran this command on my system. In fact, I made a script for it. It
> returned nothing from it's execution. So I have no files conforming to this in
> my system.
> 

And here's my "emerge --info":

starbase64 / # emerge --info
Portage 2.1.3.19 (default-linux/amd64/2007.0/desktop, gcc-3.4.6, glibc-2.3.6-r5, 2.6.23.1-smp x86_64)
=================================================================
System uname: 2.6.23.1-smp x86_64 Dual-Core AMD Opteron(tm) Processor 2210
Timestamp of tree: Tue, 12 Feb 2008 08:00:01 +0000
app-shells/bash:     3.2_p17-r1
dev-lang/python:     2.4.3-r4, 2.5.1-r5
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 1.12.9
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.24
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -fforce-addr"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb"
CONFIG_PROTECT_MASK="/etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -pipe -fforce-addr"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps=y --buildpkg --deep"
FEATURES="distlocks metadata-transfer sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://gentoo.llarian.net/"
LANG="en_US"
PKGDIR="/usr/portage/packages"
PORTAGE_COMPRESS="lzma"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X acl acpi alsa amd64 arts berkdb bitmap-fonts bootstrap cairo cdr cli cracklib crypt cups dbus dri dvd dvdr dvdread eds emboss encode esd evo fam firefox fortran gdbm gif gnome gpm gstreamer gtk hal iconv ipv6 isdnlog jpeg kde kerberos ldap libgcj libssp mad midi mikmod mmx mp3 mpeg mudflap ncurses nls nptl nptlonly ogg opengl openmp oss pam pcre pdf perl png pppd python qt3 qt3support qt4 quicktime readline reflection sdl session slang spell spl sse sse2 ssl svg tcpd tiff truetype truetype-fonts type1-fonts unicode vorbis xml xorg xv zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="apm ark chips cirrus cyrix dummy fbdev glint i128 i810 mach64 mga neomagic nv r128 radeon rendition s3 s3virge savage siliconmotion sis sisusb tdfx tga trident tseng v4l vesa vga via vmware voodoo"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, LDFLAGS, LINGUAS, MAKEOPTS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY

Shingoshi
Comment 47 Gunnar Skjold 2008-06-18 06:39:45 UTC
I cant really see any fix here.. I am currently installing a NEW 2008.0_beta2 system and ran into the same problem.. I dont have the /usr/bin/i686* files and the find command provided doesnt return anything..

So again, what is the fix? 

- Gunnar
Comment 48 Duncan 2008-06-18 14:09:02 UTC
(In reply to comment #47)
> I am currently installing a NEW 2008.0_beta2 system and
> ran into the same problem.. I dont have the /usr/bin/i686*
> files and the find command provided doesnt return anything..

In that case, it may be a different bug, not this one.  I'm assuming you don't have any cross-compiling stuff to remove, and you obviously shouldn't have eselect-compiler wrappers on a new clean system.

There's two approaches here.  You can avoid/work-around the issue, or you can try to work thru it.  Working thru it would involve posting the config.log file and trying to troubleshoot that.  It's likely something only a few devs and users have the skills to help you with, and will require some patience, but you may end up providing a solution that many others will find helpful as well.

Avoiding or working around the problem is also possible.  In all reported cases the problem has been on amd64, related to the configure script detecting x86-32 (or possibly other arch) binaries and trying to use them instead of the 64-bit binaries.  Thus, one way to avoid or work around the problem is to avoid having 32-bit binaries around for it to detect.

By default, Gentoo/AMD64 is dual-bitness, somewhat multilib aware.  As mentioned in earlier replies, however, because none of the three package managers are themselves fully multilib aware and can't track 64-bit and 32-bit separately, the result is a kind of hack.  Only gcc, glibc, and sandbox are normally built for dual-bitness.  Everything else is built for 64-bit only unless you run a chroot and compile the 32-bit stuff in there.  Otherwise, additional 32-bit packages are normally binary-only, not compiled from source.

For those who don't need 32-bit compatibility at all, or who would prefer to build their entire 32-bit stack from source using the chroot option, there's the no-multilib subprofiles.  As I'm a strong software user rights supporter and a primary reason to run 32-bit is to run proprietaryware, I'm in the former camp -- everything I run is 64-bit compiled-from-source, so I don't happen to need 32-bit at all, and am thus running a no-multilib profile.  However, those who need 32-bit but prefer the chroot method should also find the no-multilib profile useful.  Either way, the main system is then 64-bit only, and this problem should no longer be possible, since there's no 32-bit around for it to get mixed up with.  I certainly haven't missed the absence of this sort of problem since I went no-multilib! =8^)

So the choice is up to you.  Either use the no-multilib profile and avoid the problem, or decide to work thru it, thus potentially curing a problem others may see as well.  In the latter case, I'd suggest opening a new bug, stating that while it may look like this bug #133209, it's a new install, you've never had eselect-compiler installed and aren't doing cross-dev, and that you'd like to work thru the bug and are willing to spend the time trying things and reporting back with logs and etc as necessary to do so.

BTW, if you do file a new bug, drop a comment with the bug number here too, please.  I'd like to follow it too.  =8^)

FWIW/HTH,
Duncan
Comment 49 Owen Mann 2009-01-18 05:00:22 UTC
I've added a similar/identical bug: 255341